Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356057 - NONE risk does not exist anymore remove it from all modules
Summary: NONE risk does not exist anymore remove it from all modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant-el6toel7
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: pstodulk
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks: 1335038
TreeView+ depends on / blocked
 
Reported: 2016-07-13 10:43 UTC by Petr Hracek
Modified: 2016-11-04 09:01 UTC (History)
2 users (show)

Fixed In Version: preupgrade-assistant-el6toel7-0.6.52-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-11-04 09:01:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2618 normal SHIPPED_LIVE preupgrade-assistant-el6toel7 bug fix and enhancement update 2016-11-03 16:23:57 UTC

Description Petr Hracek 2016-07-13 10:43:26 UTC
Description of problem:
Preupgrade-assistant API has been changed so that log_none_risk does not exist anymore.
It is needed to remove then of changed them to log_slight_risk

List of NONE risk is:

packages/NonRHSignedPkg/nonrhpkg.sh:17:(log_none_risk "All packages are RH signed, no 3rd party keys detected" && exit $RESULT_PASS)
packages/LoadBalanceSupport/check.sh:29:       log_none_risk "For tcp/http based load balancer and proxy run 'yum install haproxy'"
packages/LoadBalanceSupport/check.sh:33:       log_none_risk "For for health check and failover handling of your LVS based load balancer run 'yum install keepalived'"
packages/LoadBalanceSupport/check.sh:37:       log_none_risk "For health check and failover handling run 'yum install keepalived' for tcp/http based load balancer and proxy 'yum install haproxy'"
packages/LoadBalanceSupport/check.sh:44:  log_none_risk "For LVS based Load Balancer run 'yum install ipvsadm'"
packages/LoadBalanceSupport/check.sh:48:  log_none_risk "For LVS based Load Balancer run 'yum install ipvsadm keepalived'"
selinux/RestoreConfig/restoreConfig.sh:26:	log_none_risk "Custom selinux configuration has been saved and it will be restored by a postupgrade script after the system upgrade."
services/cupsbrowsing/cupsbrowsing.sh:70:    log_none_risk "The CUPS Browsing protocol is not in use, and no CUPS Browsing configuration directives are set."
system/KrbMigration/krbMigration.sh:47:log_none_risk "The config file /etc/sysconfig/krb5kdc has been converted for use in Red Hat Enterprise Linux 7."

Comment 4 Alois Mahdal 2016-07-20 15:08:01 UTC
JFTR: bug 1331629 is the one to track removal of NONE usage from PA API.

Comment 6 Alois Mahdal 2016-07-30 02:44:11 UTC
Test has been added to test case

    TC#494890 /CoreOS/preupgrade-assistant/6to7/installation/static-check

and ran with preupgrade-assistant-el6toel7-0.6.52-1.el6 as part of TJ#423331.

All module scripts were checked for log_none_risk; it was not found anywhere.

Comment 8 errata-xmlrpc 2016-11-04 09:01:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2618.html


Note You need to log in before you can comment on or make changes to this bug.